Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class CachedItem

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.CachedItem

    public class CachedItem

extends java.lang.Object

Version:
  $Id: CachedItem.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CachedItem()`

Method Summary
`java.lang.String` | `getCacheName()`
`java.sql.Blob` | `getData()`
`byte[]` | `getDataBytes()`
`long` | `getId()`
`CachedItem` | `getReference()`
`java.util.Set` | `getReferrers()`
`java.lang.String` | `getUri()`
`int` | `getVersion()`
`java.util.Date` | `getVersionDate()`
`boolean` | `isReference()`
`void` | `setCacheName(java.lang.String cacheName)`
`void` | `setData(java.sql.Blob data)`
`void` | `setDataBytes(byte[] bytes)`
`void` | `setId(long id)`
`void` | `setReference(CachedItem reference)`
`void` | `setReferrers(java.util.Set referrers)`
`void` | `setUri(java.lang.String uri)`
`void` | `setVersion(int version)`
`void` | `setVersionDate(java.util.Date versionDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedItem

    public CachedItem()

Method Detail

### getData

    public java.sql.Blob getData()

### setData

    public void setData(java.sql.Blob data)

### getDataBytes

    public byte[] getDataBytes()

### setDataBytes

    public void setDataBytes(byte[] bytes)

### getId

    public long getId()

### setId

    public void setId(long id)

### getUri

    public java.lang.String getUri()

### setUri

    public void setUri(java.lang.String uri)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getCacheName

    public java.lang.String getCacheName()

### setCacheName

    public void setCacheName(java.lang.String cacheName)

### getReference

    public CachedItem getReference()

### setReference

    public void setReference(CachedItem reference)

### isReference

    public boolean isReference()

### getVersionDate

    public java.util.Date getVersionDate()

  Returns:
    Returns the versionDate.

### setVersionDate

    public void setVersionDate(java.util.Date versionDate)

  Parameters:
    `versionDate` - The versionDate to set.

### getReferrers

    public java.util.Set getReferrers()

### setReferrers

    public void setReferrers(java.util.Set referrers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.